<?php
function goldly_grocery_ecco_customize_css(){
	if(get_theme_mod( 'special_product_bg_image')){
		?>
		<style type="text/css">
			.special_product_info{
				background: url(<?php echo esc_attr(get_theme_mod('special_product_bg_image'))?>) rgb(0 0 0 / 0.68);
				background-position: <?php echo esc_attr(get_theme_mod('special_product_bg_position','center center')); ?>;
			    background-attachment: <?php echo esc_attr(get_theme_mod('special_product_bg_attachment','scroll'));?>;
			    background-size: <?php echo esc_attr(get_theme_mod('special_product_bg_size','cover'));?>;
			    background-blend-mode: multiply;
			}
		</style>
		<?php
	}else{
		?>
		<style type="text/css">
			.special_product_info{
				background-color: <?php echo esc_attr(get_theme_mod('goldly_special_product_section_bg_color','#eeeeee'))?>;
			}
		</style>
		<?php
	}
	if(get_theme_mod( 'goldly_full_benner_bg_image_section')){
		?>
		<style type="text/css">
			.full_banner_section{
				background: url(<?php echo esc_attr(get_theme_mod('goldly_full_benner_bg_image_section'))?>) rgb(0 0 0 / 0%);
				background-position: <?php echo esc_attr(get_theme_mod('goldly_full_benner_img_bg_position','center center')); ?>;
			    background-attachment: <?php echo esc_attr(get_theme_mod('goldly_full_benner_bg_attachment','scroll'));?>;
			    background-size: <?php echo esc_attr(get_theme_mod('goldly_full_benner_bg_size','cover'));?>;
			    background-blend-mode: multiply;
			}
		</style>
		<?php
	}else{
		?>
		<style type="text/css">
			.full_banner_section{
				background-color: <?php echo esc_attr(get_theme_mod('goldly_full_benner_bg_color_section','#d5d1d1'))?>;
			}
		</style>
		<?php
	}
	if (!class_exists('WooCommerce'))  return;
	if(is_product() || is_shop() || is_cart() || is_checkout()){
		if(empty(get_post_meta(get_the_ID(),'sidebar_select',true))){
	        ?>
	        <style> 
		        aside.widget-area{
		            display: none;
		        }
		        main#primary {
				    width: 100% !important;
				}
	        </style>
	        <?php
	    }
    }
    
	?>
	<style>	
		.special_product_info{
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_section_text_color','#ffffff'))?>;
		}
		.special_product_title.block1{
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_block1_contain_text_color','#ffffff'))?>;
			background-color: <?php echo esc_attr(get_theme_mod('special_productblock1_contain_background_color','#685c88'))?>;
		}
		.special_product_title.block2{
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_block2_contain_text_color','#ffffff'))?>;
			background-color: <?php echo esc_attr(get_theme_mod('special_productblock2_contain_background_color','#1bbc9b'))?>;
		}
		.special_product_title.block3{
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_block3_contain_text_color','#ffffff'))?>;
			background-color: <?php echo esc_attr(get_theme_mod('special_productblock3_contain_background_color','#1bbc9b'))?>;
		}
		.special_product_title.block4{
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_block4_contain_text_color','#ffffff'))?>;
			background-color: <?php echo esc_attr(get_theme_mod('special_productblock4_contain_background_color','#685c88'))?>;
		}
		.product_special_info{
			background-color: <?php echo esc_attr(get_theme_mod('goldly_special_product_image_background_color','#ffffff'))?>;
			color: <?php echo esc_attr(get_theme_mod('goldly_special_product_image_color','#333'))?>;
		}
		.full_banner_title {
		    padding: 50px;
    		color: <?php echo esc_attr(get_theme_mod('goldly_full_benner_text_color','#000'));?>;
		} 
		.full_banner_section{
			height: 267px;
		}
		.full_banner_info {
		    text-align: center;
		}
		.full_banner_title h2 {
		    margin: 0px;
		}
	</style>
	<?php
}
add_action( 'wp_head', 'goldly_grocery_ecco_customize_css');
?>