<?php
function goldly_grocery_childtheme_customize_register($wp_customize){
 	$wp_customize->get_section('goldly_our_portfolio_section')->title = __( 'Best Selling', 'goldly-grocery' );
 	$wp_customize->get_control( 'our_portfolio_main_title' )->label = __( 'Best Offer', 'goldly-grocery' );
 	$wp_customize->get_control( 'our_portfolio_main_discription' )->label = __( 'Best Selling Discription', 'goldly-grocery' );
 	$our_portfolio_number = get_theme_mod( 'our_portfolio_number', 3 );
		for ( $i = 1; $i <= $our_portfolio_number ; $i++ ) {
			$wp_customize->get_control('our_portfolio_'.$i)->label = __( 'Best Selling ', 'goldly-grocery' ).$i;
			$wp_customize->get_control('our_portfolio_title_'.$i)->label = __( 'Best Selling Title ', 'goldly-grocery').$i ;
			$wp_customize->get_control('our_portfolio_button_'.$i)->label = __( 'Best Selling Button ', 'goldly-grocery' ).$i;
			$wp_customize->get_control('our_portfolio_buttonlink_'.$i)->label = __( 'Best Selling Button Link ', 'goldly-grocery').$i;
		}

 	$wp_customize->get_section('goldly_our_team_section')->title = __( 'Categories', 'goldly-grocery' );
 	$wp_customize->get_control('our_team_main_title')->label = __( 'Categories Title', 'goldly-grocery' );
 	$wp_customize->get_control('our_team_main_discription')->label = __( 'Categories Description', 'goldly-grocery' );
 	$our_team_number = get_theme_mod( 'our_team_number', 4 );
		for ( $i = 1; $i <= $our_team_number ; $i++ ) {
			$wp_customize->get_control('our_team_heading_'.$i)->label = __( 'Categories ', 'goldly-grocery' ).$i;
			$wp_customize->remove_control('our_team_twitter_link_').$i;
			$wp_customize->remove_control('our_team_facebook_link_').$i;
			$wp_customize->remove_control('our_team_instagram_link_').$i;
			$wp_customize->remove_control('our_team_linkedin_link_').$i;
		}

	$wp_customize->get_section('goldly_our_sponsors_section')->title = __( 'Our Brand', 'goldly-grocery' );
 	$wp_customize->get_control('our_sponsors_main_title')->label = __( 'Our Brand Title', 'goldly-grocery' );
 	$wp_customize->get_control('our_sponsors_main_discription')->label = __( 'Our Brand Discription', 'goldly-grocery' );
	$our_sponsors_number = get_theme_mod( 'our_sponsors_number', 5 );
		for ( $i = 1; $i <= $our_sponsors_number ; $i++ ) {
			$wp_customize->get_control('our_sponsors_heading_'.$i)->label = __( 'Our Brand ', 'goldly-grocery' ).$i;
		}

 	if ( method_exists( $wp_customize, 'register_section_type' ) ) {
		$wp_customize->register_section_type( 'goldly_grocery_pro_Section' );
	}
	if ( ! defined( 'GP_PREMIUM_VERSION' ) ) {
		$wp_customize->add_section(
			new goldly_grocery_pro_Section(
				$wp_customize,
				'goldly_grocery_pro_Section',
				array(
                	'pro_text' => esc_html__( 'Upgrade To PRO', 'goldly-grocery' ),
                	'pro_url'  => 'https://www.xeeshop.com/product/goldly-grocery-pro/',
					'capability' => 'edit_theme_options',
					'priority' => 0,
					'type' => 'gp-upselles-sections',
				)
			)
		);
	}

 	if ( method_exists( $wp_customize, 'register_section_type' ) ) {
		$wp_customize->register_section_type( 'goldly_grocery_documentation_Upsell_Sections' );
	}
	if ( ! defined( 'GP_PREMIUM_VERSION' ) ) {
		$wp_customize->add_section(
			new goldly_grocery_documentation_Upsell_Sections(
				$wp_customize,
				'goldly_grocery_documentation_Upsell_Sections',
				array(
					'title'    => esc_html__( 'Documentation', 'goldly-grocery' ),
                	'pro_text' => esc_html__( 'Read More', 'goldly-grocery' ),
                	'pro_url'  => 'https://www.xeeshop.com/goldly-grocery-documentation/',
					'capability' => 'edit_theme_options',
					'priority' => 0,
					'type' => 'gp-upsell-sections',
				)
			)
		);
	}

	//add Control
			$wp_customize->add_setting('global_ordering', array(
				'default'  => array( 
						'Goldly_featuredimage_slider',
						'Goldly_featured_section',
						'Goldly_widget_section',
						'Goldly_about_section',
						'Goldly_our_portfolio_section',
						'Goldly_our_team_section',
						'Goldly_our_testimonial_section',
						'Goldly_our_services_section',
						'Goldly_our_sponsors_section',
						'Goldly_secial_product_section',	
						'Goldly_full_banner_section',					
					),
		        'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',		
		        'sanitize_callback' => 'goldly_sanitize_select',
		    ));
		    $wp_customize->add_control( new goldly_custom_ordering(
		    	$wp_customize,'global_ordering',
		    	array(
			        'settings' => 'global_ordering',
			        'label'   => 'Select Section',
			        'description' => 'Hide & show Sections',
			        'section' => 'global_ordering_section',
			        'type'    => 'sortable_repeater',
			        'choices'     => array(
						'Goldly_featuredimage_slider' => 'Featured Slider',
						'Goldly_featured_section' => 'Featured Section',
						'Goldly_widget_section'  => 'Widget Section',	
						'Goldly_about_section'	=> 'About Section',
						'Goldly_our_portfolio_section'	=> 'Best Selling',
						'Goldly_our_team_section'	=> 'Categories',
						'Goldly_our_testimonial_section'	=> 'Our Testimonial',
						'Goldly_our_services_section'	=> 'Our Services',	
						'Goldly_our_sponsors_section'	=> 'Our Sponsors',	
						'Goldly_secial_product_section' => 'Special Product',
						'Goldly_full_banner_section'   => 'Benner',											
					),
			    )
			));
		//Hide & Show and drag & drop in pro option
			$wp_customize->add_setting('goldly_hide_show_pro', array(
		        'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'sanitize_text_field',
		    ));
		    $wp_customize->add_control( new Goldly_Grocery_Drag_Drop_pro_option_Control(
		    	$wp_customize,'goldly_hide_show_pro',
		    	array(
			        'settings' => 'goldly_hide_show_pro',
			        'label'   => 'Drag & Drop Section in Goldly Grocery Pro!',
			        'section' => 'global_ordering_section',
		        )
		    ));		

	//add Spacial Product
		$wp_customize->add_section( 'global_special_product_section' , array(
			'title'  => 'Special Product Section',
			'panel'  => 'goldly_theme_section',	
		) );
		// Featured Section tabing
			$wp_customize->add_setting( 'special_product_tab', 
		        array(
		            'default'    => 'general', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability'     => 'edit_theme_options',
		            'sanitize_callback' => 'goldly_sanitize_select',
		        ) 
		    ); 
	        $wp_customize->add_control( new Goldly_Custom_Radio_Control( 
		        $wp_customize,'special_product_tab',array(
		            'settings'   => 'special_product_tab', 
		            'priority'   => 10,
		            'section'    => 'global_special_product_section',
		            'type'    => 'select',
		            'choices'    => array(
			        	'general' => 'General',
			        	'design' => 'Design',
		        	),
		        ) 
	        ) ); 
		//Special Product Section in entire site title
			$wp_customize->add_setting( 'goldly_display_special_product_main_title', array(		                
				'default'   => 'Special Product',
				'priority'  => 10,
				'sanitize_callback' => 'sanitize_text_field',
			));							    
			$wp_customize->add_control(  new WP_Customize_Control(
				$wp_customize,'goldly_display_special_product_main_title', 
				array(
					'label' => 'Title',
					'type'  => 'text',
					'section' => 'global_special_product_section',
					'settings' => 'goldly_display_special_product_main_title',
					'active_callback' => 'goldly_grocery_special_product_generalcallback',		
					)
			));	
		//Special Product Section in entire site description
			$wp_customize->add_setting( 'goldly_display_special_product_main_description', array(		                
				'default'   => '',
				'priority'  => 10,
				'sanitize_callback' => 'sanitize_textarea_field',
			));							    
			$wp_customize->add_control(  new WP_Customize_Control(
				$wp_customize,'goldly_display_special_product_main_description', 
				array(
					'label' => 'Description',
					'type'  => 'textarea',
					'section' => 'global_special_product_section',
					'settings' => 'goldly_display_special_product_main_description',
					'active_callback' => 'goldly_grocery_special_product_generalcallback',		
					)
			));	
		// Special Product Image 
		    $wp_customize->add_setting('special_product_image', array(
	    		'default'  => '',
	        	'type'       => 'theme_mod',
		        'transport'     => 'refresh',
		        'height'        => 180,
		        'width'        => 160,
		        'capability' => 'edit_theme_options',
		        'sanitize_callback' => 'esc_url_raw'
		    ));
		    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'special_product_image', array(
		        'label' => __('Product Image', 'goldly-grocery'),
		        'section' => 'global_special_product_section',
		        'settings' => 'special_product_image',
		        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
		        'active_callback' => 'goldly_grocery_special_product_generalcallback',
		    )));
		//Special Product Image Title
		    $wp_customize->add_setting( 'special_product_title', array(
			    'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'sanitize_text_field',
			) );
			$wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_title',
		    	array(
					'type' => 'text',
					'settings'   => 'special_product_title', 
					'section' => 'global_special_product_section', // // Add a default or your own section
					'label' => 'Product Title',
					'active_callback' => 'goldly_grocery_special_product_generalcallback',									   
				)
			) );
		//Special Product Image Title Link
		    $wp_customize->add_setting( 'special_product_title_link', array(
		    	'default'   => '#',
			    'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'sanitize_text_field',
			) );
			$wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_title_link',
		    	array(
					'type' => 'text',
					'settings'   => 'special_product_title_link', 
					'section' => 'global_special_product_section', // // Add a default or your own section
					'label' => 'Product Link',
					'active_callback' => 'goldly_grocery_special_product_generalcallback',									   
				)
			) );

		//Special Product in number of slides
		    $wp_customize->add_setting( 'special_product_number', array(
		    	'default'  => 4,
			    'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',
		        'sanitize_callback' => 'goldly_sanitize_number_range',
			) );
			$wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_number',
		    	array(
					'type' => 'number',
					'settings'   => 'special_product_number', 
					'section' => 'global_special_product_section', // // Add a default or your own section
					'label' => 'No of section',
					'description' => 'Save and refresh the page if No. of Slides is changed (Max no of slides is 4)',
					'input_attrs' => array(
								    'min' => 1,
								    'max' => 4,
								),
					'active_callback' => 'goldly_grocery_special_product_generalcallback',					   
				)
			) );
			$section_number = get_theme_mod( 'special_product_number', 4 );
			for ( $i = 1; $i <= $section_number ; $i++ ) {
				//Special Product Heading
					$wp_customize->add_setting('special_product_heading_'.$i, array(
						'default' =>'spcialproduct',
				        'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',
				        'sanitize_callback' => 'sanitize_text_field',
				    ));
				    $wp_customize->add_control( new goldly_GeneratePress_Upsell_Section(
				    	$wp_customize,'special_product_heading_'.$i,
				    	array(
					        'settings' => 'special_product_heading_'.$i,
					        'label'   => 'spcialproduct'.$i ,
					        'section' => 'global_special_product_section',
					        'type'     => 'ast-description',
					        'active_callback' => 'goldly_grocery_special_product_generalcallback',
				        )
				    ));	
				//Special Product title 
					$wp_customize->add_setting( 'special_product_title_' . $i , array(
					    'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',
				        'sanitize_callback' => 'sanitize_text_field',
					) );
					$wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'special_product_title_' . $i,
				    	array(
							'type' => 'text',
							'settings'   => 'special_product_title_' . $i, 
							'section' => 'global_special_product_section', // // Add a default or your own section
							'label' => 'Title' . $i,
							'active_callback' => 'goldly_grocery_special_product_generalcallback',									   
						)
					) );
				//Special Product Description 
					$wp_customize->add_setting( 'special_product_description_' . $i , array(
					    'type'       => 'theme_mod',
				        'transport'   => 'refresh',
				        'capability'     => 'edit_theme_options',
				        'sanitize_callback' => 'sanitize_textarea_field',
					) );
					$wp_customize->add_control( new WP_Customize_Control(
				    	$wp_customize,'special_product_description_' . $i,
				    	array(
							'type' => 'textarea',
							'settings'   => 'special_product_description_' . $i, 
							'section' => 'global_special_product_section', // // Add a default or your own section
							'label' => 'Description' . $i,
							'active_callback' => 'goldly_grocery_special_product_generalcallback',									   
						)
					) );
			}
		//Special Product Section in Background Image
	    	$wp_customize->add_setting('special_product_bg_image', array(
	    		'default'  => '',
	        	'type'       => 'theme_mod',
		        'transport'     => 'refresh',
		        'height'        => 180,
		        'width'        => 160,
		        'capability' => 'edit_theme_options',
		        'sanitize_callback' => 'esc_url_raw'
		    ));
		    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'special_product_bg_image', array(
		        'label' => __('Backgroung Image', 'goldly-grocery'),
		        'section' => 'global_special_product_section',
		        'settings' => 'special_product_bg_image',
		        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
		        'active_callback' => 'goldly_grocery_special_product_design_callback',
		    )));
		//Special Product Section in Background Position
		    $wp_customize->add_setting('special_product_bg_position', array(
		        'default'        => 'center center',
		        'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',		
		        'sanitize_callback' => 'sanitize_text_field',
		    ));
		    $wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_bg_position',
		    	array(
			        'settings' => 'special_product_bg_position',
			        'label'   => 'Background Position',
			        'section' => 'global_special_product_section',
			        'type'  => 'select',
			        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        'choices'    => array(
			        	'left top' => 'Left Top',
			        	'left center' => 'Left Center',
			        	'left bottom' => 'Left Bottom',
			            'right top' => 'Right Top',
			            'right center' => 'Right Center',
			            'right bottom' => 'Right Bottom',
			            'center top' => 'Center Top',
			            'center center' => 'Center Center',
			            'center bottom' => 'Center Bottom',
		        	),
		        )
		    ));
		//Special Product Section in Background Attachment
			$wp_customize->add_setting('special_product_bg_attachment', array(
		        'default'        => 'fixed',
		        'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',		
		        'sanitize_callback' => 'sanitize_text_field',
		    ));
		    $wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_bg_attachment',
		    	array(
			        'settings' => 'special_product_bg_attachment',
			        'label'   => 'Background Attachment',
			        'section' => 'global_special_product_section',
			        'type'  => 'select',
			        'choices'    => array(
			        	'scroll' => 'Scroll',
			        	'fixed' => 'Fixed',
		        	),
		        	'active_callback' => 'goldly_grocery_special_product_design_callback',
		        )
		    ));
		//Special Product Section in image background Size
		    $wp_customize->add_setting('special_product_bg_size', array(
		        'default'        => 'cover',
		        'type'       => 'theme_mod',
		        'transport'   => 'refresh',
		        'capability'     => 'edit_theme_options',		
		        'sanitize_callback' => 'sanitize_text_field',
		    ));
		    $wp_customize->add_control( new WP_Customize_Control(
		    	$wp_customize,'special_product_bg_size',
		    	array(
			        'settings' => 'special_product_bg_size',
			        'label'   => 'Background Size',
			        'section' => 'global_special_product_section',
			        'type'  => 'select',
			        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        'choices'    => array(
			        	'auto' => 'Auto',
			        	'cover' => 'Cover',
			            'contain' => 'Contain'
		        	),
		        )
		    ));   
		//Special Product background color
			$wp_customize->add_setting( 'goldly_special_product_section_bg_color', 
		        array(
		            'default'    => '#eeeeee', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 
	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize,'goldly_special_product_section_bg_color', 
		        array(
		            'label'      => __( 'Background Color', 'goldly-grocery' ), 
		            'settings'   => 'goldly_special_product_section_bg_color', 
		            'priority'   => 10,
		            'section'    => 'global_special_product_section',
		            'active_callback' => 'goldly_grocery_special_product_design_callback',
		        ) 
	        ) );
	    //Special Product Text color
			$wp_customize->add_setting( 'goldly_special_product_section_text_color', 
		        array(
		            'default'    => '#ffffff', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 
	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize,'goldly_special_product_section_text_color', 
		        array(
		            'label'      => __( 'Text Color', 'goldly-grocery' ), 
		            'settings'   => 'goldly_special_product_section_text_color', 
		            'priority'   => 10,
		            'section'    => 'global_special_product_section',
		            'active_callback' => 'goldly_grocery_special_product_design_callback',
		        ) 
	        ) );	    
	    //Special Product Image Background color
			$wp_customize->add_setting( 'goldly_special_product_image_background_color', 
		        array(
		            'default'    => '#ffffff', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 
	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize,'goldly_special_product_image_background_color', 
		        array(
		            'label'      => __( 'Image Color', 'goldly-grocery' ), 
		            'settings'   => 'goldly_special_product_image_background_color', 
		            'priority'   => 10,
		            'section'    => 'global_special_product_section',
		            'active_callback' => 'goldly_grocery_special_product_design_callback',
		        ) 
	        ) );
	    //Special Product Image  color
			$wp_customize->add_setting( 'goldly_special_product_image_color', 
		        array(
		            'default'    => '#333', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
		        ) 
		    ); 
	        $wp_customize->add_control( new WP_Customize_Color_Control( 
		        $wp_customize,'goldly_special_product_image_color', 
		        array(
		            'label'      => __( 'Contain Background Color', 'goldly-grocery' ), 
		            'settings'   => 'goldly_special_product_image_color', 
		            'priority'   => 10,
		            'section'    => 'global_special_product_section',
		            'active_callback' => 'goldly_grocery_special_product_design_callback',
		        ) 
	        ) );
	    //block 1
	        //block1 section Heading
				$wp_customize->add_setting('block1_product', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new goldly_GeneratePress_Upsell_Section(
			    	$wp_customize,'block1_product',
			    	array(
				        'settings' => 'block1_product',
				        'label'   => 'block 1' ,
				        'section' => 'global_special_product_section',
				        'type'     => 'ast-description',
				        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        )
			    ));
		    //Special Product block contain Text color
				$wp_customize->add_setting( 'goldly_special_product_block1_contain_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_special_product_block1_contain_text_color', 
			        array(
			            'label'      => __( 'Block 1 Contain Text Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_special_product_block1_contain_text_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		    //Special Product block1 contain background color
				$wp_customize->add_setting( 'special_productblock1_contain_background_color', 
			        array(
			            'default'    => '#685c88', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'special_productblock1_contain_background_color', 
			        array(
			            'label'      => __( 'Block 1 Contain Background Color', 'goldly-grocery' ), 
			            'settings'   => 'special_productblock1_contain_background_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		//block 2
		    //block2 section Heading
				$wp_customize->add_setting('block2_product', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new goldly_GeneratePress_Upsell_Section(
			    	$wp_customize,'block2_product',
			    	array(
				        'settings' => 'block2_product',
				        'label'   => 'block 2' ,
				        'section' => 'global_special_product_section',
				        'type'     => 'ast-description',
				        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        )
			    ));
		    //Special Product block contain Text color
				$wp_customize->add_setting( 'goldly_special_product_block2_contain_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_special_product_block2_contain_text_color', 
			        array(
			            'label'      => __( 'Block 2 Contain Text Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_special_product_block2_contain_text_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		    //Special Product block1 contain background color
				$wp_customize->add_setting( 'special_productblock2_contain_background_color', 
			        array(
			            'default'    => '#1bbc9b', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'special_productblock2_contain_background_color', 
			        array(
			            'label'      => __( 'Block 2 Contain Background Color', 'goldly-grocery' ), 
			            'settings'   => 'special_productblock2_contain_background_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		//block 3
		    //block3 section Heading
				$wp_customize->add_setting('block3_product', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new goldly_GeneratePress_Upsell_Section(
			    	$wp_customize,'block3_product',
			    	array(
				        'settings' => 'block3_product',
				        'label'   => 'block 2' ,
				        'section' => 'global_special_product_section',
				        'type'     => 'ast-description',
				        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        )
			    ));
		    //Special Product block contain Text color
				$wp_customize->add_setting( 'goldly_special_product_block3_contain_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_special_product_block3_contain_text_color', 
			        array(
			            'label'      => __( 'Block 3 Contain Text Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_special_product_block3_contain_text_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		    //Special Product block1 contain background color
				$wp_customize->add_setting( 'special_productblock3_contain_background_color', 
			        array(
			            'default'    => '#1bbc9b', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'special_productblock3_contain_background_color', 
			        array(
			            'label'      => __( 'Block 3 Contain Background Color', 'goldly-grocery' ), 
			            'settings'   => 'special_productblock3_contain_background_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		//block 4
		    //block4 section Heading
				$wp_customize->add_setting('block4_product', array(
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new goldly_GeneratePress_Upsell_Section(
			    	$wp_customize,'block4_product',
			    	array(
				        'settings' => 'block4_product',
				        'label'   => 'block 4' ,
				        'section' => 'global_special_product_section',
				        'type'     => 'ast-description',
				        'active_callback' => 'goldly_grocery_special_product_design_callback',
			        )
			    ));
		    //Special Product block contain Text color
				$wp_customize->add_setting( 'goldly_special_product_block4_contain_text_color', 
			        array(
			            'default'    => '#ffffff', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_special_product_block4_contain_text_color', 
			        array(
			            'label'      => __( 'Block 4 Contain Text Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_special_product_block4_contain_text_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );
		    //Special Product block1 contain background color
				$wp_customize->add_setting( 'special_productblock4_contain_background_color', 
			        array(
			            'default'    => '#685c88', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'special_productblock4_contain_background_color', 
			        array(
			            'label'      => __( 'Block 4 Contain Background Color', 'goldly-grocery' ), 
			            'settings'   => 'special_productblock4_contain_background_color', 
			            'priority'   => 10,
			            'section'    => 'global_special_product_section',
			            'active_callback' => 'goldly_grocery_special_product_design_callback',
			        ) 
		        ) );

    //Add Section in theme option
	    	$wp_customize->add_section( 'global_full_benner_section' , array(
				'title'  => 'Full Benner',
				'panel'  => 'goldly_theme_section',	
			) );
			//banner section in title
				$wp_customize->add_setting( 'goldly_full_benner_title', 
			        array(
			            'default'    => 'Organic Foods Up To 50% off', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'goldly_full_benner_title', 
			        array(
			            'label'      => __( 'Title', 'goldly-grocery' ), 
			            'type'       => 'text',
			            'settings'   => 'goldly_full_benner_title', 
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) ); 
		    //banner section in sub title
				$wp_customize->add_setting( 'goldly_full_benner_subtitle', 
			        array(
			            'default'    => 'Weekend Offer', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'goldly_full_benner_subtitle', 
			        array(
			            'label'      => __( 'Sub Heding', 'goldly-grocery' ), 
			            'type'       => 'text',
			            'settings'   => 'goldly_full_benner_subtitle', 
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) ); 
		    //banner section in Button
				$wp_customize->add_setting( 'goldly_full_benner_button', 
			        array(
			            'default'    => 'Shop Now ', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'goldly_full_benner_button', 
			        array(
			            'label'      => __( 'Shop Now', 'goldly-grocery' ), 
			            'type'       => 'text',
			            'settings'   => 'goldly_full_benner_button', 
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) ); 
			//banner section in Link
				$wp_customize->add_setting( 'goldly_full_benner_link', 
			        array(
			            'default'    => '#', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_text_field',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Control( 
			        $wp_customize,'goldly_full_benner_link', 
			        array(
			            'label'      => __( 'Link', 'goldly-grocery' ), 
			            'settings'   => 'goldly_full_benner_link', 
			            'type'       => 'text',
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) ); 
			//add full benner section in bg color
				$wp_customize->add_setting('goldly_full_benner_bg_color_section', array(
		        	'default'    => '#d5d1d1', //Default setting/value to save
		            'type'       => 'theme_mod',
		            'transport'   => 'refresh',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'sanitize_hex_color',
			    ));
			    $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_full_benner_bg_color_section', 
			        array(
			            'label'      => __( 'Background Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_full_benner_bg_color_section', 
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) ); 
			//banner section in ecommerce goldly text color
				$wp_customize->add_setting( 'goldly_full_benner_text_color', 
			        array(
			            'default'    => '#000', //Default setting/value to save
			            'type'       => 'theme_mod',
			            'transport'   => 'refresh',
			            'capability' => 'edit_theme_options',
			            'sanitize_callback' => 'sanitize_hex_color',
			        ) 
			    ); 
		        $wp_customize->add_control( new WP_Customize_Color_Control( 
			        $wp_customize,'goldly_full_benner_text_color', 
			        array(
			            'label'      => __( 'Text Color', 'goldly-grocery' ), 
			            'settings'   => 'goldly_full_benner_text_color', 
			            'priority'   => 10,
			            'section'    => 'global_full_benner_section',
			        ) 
		        ) );
		    //add full benner section in ecommerce goldly
				$wp_customize->add_setting('goldly_full_benner_bg_image_section', array(
		        	'type'       => 'theme_mod',
			        'transport'     => 'refresh',
			        'height'        => 180,
			        'width'        => 160,
			        'capability' => 'edit_theme_options',
			        'sanitize_callback' => 'esc_url_raw'
			    ));
			    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'goldly_full_benner_bg_image_section', array(
			        'label' => __('Backgroung Image', 'goldly-grocery'),
			        'section' => 'global_full_benner_section',
			        'settings' => 'goldly_full_benner_bg_image_section',
			        'library_filter' => array( 'gif', 'jpg', 'jpeg', 'png', 'ico' ),
			    ))); 
			//full benner section in image background position
			    $wp_customize->add_setting('goldly_full_benner_img_bg_position', array(
			        'default'        => 'center center',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'goldly_full_benner_img_bg_position',
			    	array(
				        'settings' => 'goldly_full_benner_img_bg_position',
				        'label'   => 'Background Position',
				        'section' => 'global_full_benner_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'left top' => 'Left Top',
				        	'left center' => 'Left Center',
				        	'left bottom' => 'Left Bottom',
				            'right top' => 'Right Top',
				            'right center' => 'Right Center',
				            'right bottom' => 'Right Bottom',
				            'center top' => 'Center Top',
				            'center center' => 'Center Center',
				            'center bottom' => 'Center Bottom',
			        	),
			        )
			    )); 
			//full benner section in image background attachment
			    $wp_customize->add_setting('goldly_full_benner_bg_attachment', array(
			        'default'        => 'scroll',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'goldly_full_benner_bg_attachment',
			    	array(
				        'settings' => 'goldly_full_benner_bg_attachment',
				        'label'   => 'Background Attachment',
				        'section' => 'global_full_benner_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'scroll' => 'Scroll',
				        	'fixed' => 'Fixed',
			        	),
			        )
			    ));
			//full benner section in image background Size
			    $wp_customize->add_setting('goldly_full_benner_bg_size', array(
			        'default'        => 'cover',
			        'type'       => 'theme_mod',
			        'transport'   => 'refresh',
			        'capability'     => 'edit_theme_options',		
			        'sanitize_callback' => 'sanitize_text_field',
			    ));
			    $wp_customize->add_control( new WP_Customize_Control(
			    	$wp_customize,'goldly_full_benner_bg_size',
			    	array(
				        'settings' => 'goldly_full_benner_bg_size',
				        'label'   => 'Background Size',
				        'section' => 'global_full_benner_section',
				        'type'  => 'select',
				        'choices'    => array(
				        	'auto' => 'Auto',
				        	'cover' => 'Cover',
				            'contain' => 'Contain'
			        	),
			        )
			    ));  		    
}
add_action( 'customize_register', 'goldly_grocery_childtheme_customize_register', 20 );

function goldly_grocery_customizer_css() {

    wp_enqueue_style( 'ecommercegoldly-customize-controls-style', get_stylesheet_directory_uri() . '/assets/css/customizer-admin.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'goldly_grocery_customizer_css',0 );

function goldly_grocery_special_product_generalcallback(){
	$special_product_tab = get_theme_mod( 'special_product_tab','general');
	if ( 'general' === $special_product_tab ) {
		return true;
	}
	return false;
}
function goldly_grocery_special_product_design_callback(){
	$special_product_tab = get_theme_mod( 'special_product_tab','general');
	if ( 'design' === $special_product_tab ) {
		return true;
	}
	return false;
}