<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package goldly
 */

?>
<div class="full_banner_section">
	<div class="full_banner_info">
		<div class="full_banner_title">
			<h2><?php echo esc_html(get_theme_mod('goldly_full_benner_title','Organic Foods Up To 50% off'));?></h2>
			<div class="full_banner_heding">
				<h4><?php echo esc_html(get_theme_mod('goldly_full_benner_subtitle','Weekend Offer'));?></h4>
			</div>
			<div class="full_benner_btn buttons">
				<a class="full_banner_link" href="<?php echo esc_attr(get_theme_mod('goldly_full_benner_link','#'));?>">
					<?php echo esc_html(get_theme_mod('goldly_full_benner_button','Shop Now'));?>
				</a>
			</div>
		</div>
	</div>
</div>

