<?php
require get_stylesheet_directory() . '/customizer/customizer.php';
require get_stylesheet_directory() . '/customizer/customizer-control.php';
require get_stylesheet_directory() . '/customizer/grocery-about.php';
require get_stylesheet_directory() . '/customizer/customizer-css.php';

/* enqueue script for parent theme stylesheeet */        
function goldly_grocery_childtheme_parent_styles() {
 
 // enqueue style
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style', get_stylesheet_directory_uri() . '/style.css', array( 'goldly-grocery' ) );
}
add_action( 'wp_enqueue_scripts', 'goldly_grocery_childtheme_parent_styles');

function goldly_grocery_theme_mods() {
    if(empty(get_theme_mod( 'goldly_social_icon_bg_color' )))
        set_theme_mod('goldly_social_icon_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_social_icon_bg_hover_color' )))
        set_theme_mod('goldly_social_icon_bg_hover_color', '#7ca877');
    if(empty(get_theme_mod( 'goldly_topbar_text_color' )))
        set_theme_mod('goldly_topbar_text_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_header_background_color' )))
        set_theme_mod('goldly_header_background_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_header_link_color' )))
        set_theme_mod('goldly_header_link_color', '#ffffff');
    if(empty(get_theme_mod( 'goldly_scroll_button_bg_color' )))
        set_theme_mod('goldly_scroll_button_bg_color', '#204e2a');
    if(empty(get_theme_mod( 'goldly_button_bg_color' )))
        set_theme_mod('goldly_button_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_button_texthover_color' )))
        set_theme_mod('goldly_button_texthover_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_button_border_color' )))
        set_theme_mod('goldly_button_border_color', '#4fad62');
    if(empty(get_theme_mod( 'featured_slider_arrow_bg_color' )))
        set_theme_mod('featured_slider_arrow_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'featured_slider_arrow_texthover_color' )))
        set_theme_mod('featured_slider_arrow_texthover_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_featured_section_color' )))
        set_theme_mod('goldly_featured_section_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_featured_section_bg_hover_color' )))
        set_theme_mod('goldly_featured_section_bg_hover_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_about_Text_color' )))
        set_theme_mod('goldly_about_Text_color', '#525252');
    if(empty(get_theme_mod( 'goldly_about_link_color' )))
        set_theme_mod('goldly_about_link_color', '#525252');
    if(empty(get_theme_mod( 'goldly_about_link_hover_color' )))
        set_theme_mod('goldly_about_link_hover_color', '#525252');
    if(empty(get_theme_mod( 'goldly_featured_section_bg_color' )))
        set_theme_mod('goldly_featured_section_bg_color', '#f3f3f3');
    if(empty(get_theme_mod( 'goldly_callmenu_btn_bghover_color' )))
        set_theme_mod('goldly_callmenu_btn_bghover_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_callmenu_btn_color' )))
        set_theme_mod('goldly_callmenu_btn_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_call_btn_border_color' )))
        set_theme_mod('goldly_call_btn_border_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_social_icon_hover_color' )))
        set_theme_mod('goldly_social_icon_hover_color', '#ffffff');
    if(empty(get_theme_mod( 'goldly_sidebar_heading_bg_color' )))
        set_theme_mod('goldly_sidebar_heading_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_breadcrumb_text_color' )))
        set_theme_mod('goldly_breadcrumb_text_color', '#ffffff');
    if(empty(get_theme_mod( 'goldly_breadcrumb_link_color' )))
        set_theme_mod('goldly_breadcrumb_link_color', '#4fad62');
    if(empty(get_theme_mod( 'our_team_testimonial_text_color' )))
        set_theme_mod('our_team_testimonial_text_color', '#333333');
    if(empty(get_theme_mod( 'goldly_link_color' )))
        set_theme_mod('goldly_link_color', '#333333');
    if(empty(get_theme_mod( 'goldly_footer_bg_color' )))
        set_theme_mod('goldly_footer_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_footer_text_color' )))
        set_theme_mod('goldly_footer_text_color', '#ffffff');
    if(empty(get_theme_mod( 'our_services_border_hover_color' )))
        set_theme_mod('our_services_border_hover_color', '#4fad62');
    if(empty(get_theme_mod( 'our_services_contain_text_color' )))
        set_theme_mod('our_services_contain_text_color', '#333');
    if(empty(get_theme_mod( 'our_services_contain_text_hover_color' )))
        set_theme_mod('our_services_contain_text_hover_color', '#333');
    if(empty(get_theme_mod( 'goldly_menu_active_color' )))
        set_theme_mod('goldly_menu_active_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_mobile_navmenu_bg_color' )))
        set_theme_mod('goldly_mobile_navmenu_bg_color', '#4fad62');
    if(empty(get_theme_mod( 'goldly_mobile_submenu_bg_color' )))
        set_theme_mod('goldly_mobile_submenu_bg_color', '#204e2a');
    if(empty(get_theme_mod( 'our_team_main_title' )))
        set_theme_mod('our_team_main_title', 'Categories');
    if(empty(get_theme_mod( 'our_sponsors_main_title' )))
        set_theme_mod('our_sponsors_main_title', 'Our Brand');
    if(empty(get_theme_mod( 'design_heding_underline_color' )))
        set_theme_mod('design_heding_underline_color', '#4fad62');
}
add_action( 'init', 'goldly_grocery_theme_mods' );

function goldly_grocery_widgets_init(){
    register_sidebar(
        array(
            'name'          => esc_html__( 'Product Section', 'goldly-grocery' ),
            'id'            => 'section',
            'description'   => esc_html__( 'Add widgets here.', 'goldly-grocery' ),
            'before_widget' => '<section id="%1$s" class="widget %2$s">',
            'after_widget'  => '</section>',
            'before_title'  => '<h2 class="widget-title">',
            'after_title'   => '</h2>',
        )
    );
}
add_action('widgets_init', 'goldly_grocery_widgets_init');

add_filter( 'goldly_recommended_plugins', 'goldly_grocery_recommended_plugins' );
function goldly_grocery_recommended_plugins( $plugins ){

    $plugins = array(

        array(
            'name'     => esc_html__( 'One Click Demo Import', 'goldly-grocery' ),
            'slug'     => 'one-click-demo-import',
            'required' => false,
        ),
        array(
            'name'     => esc_html__( 'Reviewexchanger Demo Importer', 'goldly-grocery' ),
            'slug'     => 'reviewexchanger-demo-importer',
            'required' => false
        ),
        array(
            'name' => esc_html__('WooCommerce','goldly-grocery'),
            'slug' => 'woocommerce',
            'required' => false,
        ),
		array(
            'name' => esc_html__('Page Section For Themereviewer','goldly-grocery'),
            'slug' => 'page-section-for-themereviewer',
            'required' => false,
        ),
    );
    return $plugins;
}

add_filter( 'goldly_plugins', 'goldly_grocery_plugins', 999 );
function goldly_grocery_plugins(){
    $plugins = array(
        array(
            'slug' => 'one-click-demo-import/one-click-demo-import.php',
            'zip'  => 'one-click-demo-import'
        ),  
        array(
            'slug' => 'reviewexchanger-demo-importer/reviewexchanger-demo-importer.php',
            'zip' => 'reviewexchanger-demo-importer'
        ),
        array(
            'slug' => 'woocommerce/woocommerce.php',
            'zip' => 'woocommerce'
        ),
		array(
            'slug' => 'page-section-for-themereviewer/page-section-for-themereviewer.php',
            'zip' => 'page-section-for-themereviewer'
        ),
    );
    return $plugins;
}
add_action( 'after_setup_theme', 'goldly_grocery_setup_theme' );
function goldly_grocery_setup_theme() {

    add_theme_support( 'title-tag' );
}

function goldly_grocery_ordering_child($orderarr){
    
    $orderarr[] ='Goldly_secial_product_section';
    $orderarr[] ='Goldly_full_banner_section';
    return $orderarr;
}
add_filter( 'goldly_order_settings', 'goldly_grocery_ordering_child');

function goldly_grocery_proversinline($link){
    $link ='https://www.xeeshop.com/product/goldly-grocery-pro/';
    return $link;
}
add_filter( 'goldly_proversinline', 'goldly_grocery_proversinline');

